|  | Home · All Classes · Modules

# QScriptClass.QueryFlags Class Reference
[QtScript module]

### Methods

- __init__ (self, QueryFlags)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- QueryFlags __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, QueryFlags f)
- QueryFlags __iand__ (self, int mask)
- int __int__ (self)
- QueryFlags __invert__ (self)
- QueryFlags __ior__ (self, QueryFlags f)
- QueryFlags __ixor__ (self, QueryFlags f)
- bool __ne__ (self, QueryFlags f)
- QueryFlags __or__ (self, QueryFlags f)
- QueryFlags __or__ (self, int f)
- QueryFlags __xor__ (self, QueryFlags f)
- QueryFlags __xor__ (self, int f)

## Detailed Description

QueryFlag may be used whenever QueryFlags is expected.

## Method Documentation

### QueryFlags.__init__ (self, QueryFlags)

### QueryFlags.__init__ (self, int)

### QueryFlags.__init__ (self)

### QueryFlags QueryFlags.__and__ (self, int mask)

### int QueryFlags.__bool__ (self)

### bool QueryFlags.__eq__ (self, QueryFlags f)

### QueryFlags QueryFlags.__iand__ (self, int mask)

### int QueryFlags.__int__ (self)

### QueryFlags QueryFlags.__invert__ (self)

### QueryFlags QueryFlags.__ior__ (self, QueryFlags f)

### QueryFlags QueryFlags.__ixor__ (self, QueryFlags f)

### bool QueryFlags.__ne__ (self, QueryFlags f)

### QueryFlags QueryFlags.__or__ (self, QueryFlags f)

### QueryFlags QueryFlags.__or__ (self, int f)

### QueryFlags QueryFlags.__xor__ (self, QueryFlags f)

### QueryFlags QueryFlags.__xor__ (self, int f)